Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000098Bananian Linux[All Projects] Hardwarepublic2015-01-17 22:212015-03-07 07:45
ReporterGeldaril 
Assigned ToNico 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version15.01 
Target Version15.04Fixed in Version15.04 
Summary0000098: BPi-R1: Power on SATA not sufficient for HDD
DescriptionSome people (including me) tried to use a normal HDD on the BPi-R1 and failed. After some testing and discussion we found out: The "on board mounted" SATA connecter (BPi-R1) does not provide enough power.

At first this sounds like a hardware bug, but what some guy found out (detail at http://bananapi.com/index.php/forum/general/391-why-the-sata-disk-doesnt-work-on-bpi-r1?start=6#1262 [^]):

The power supply for the onboard SATA connector is controlled over one pin of the A20. And this pin is set to "input-mode" after booting bananian.

The script.bin (or better script.fex) contains some parameters for SATA-configuration and there is indeed an option "sata_power_en" which might control the power supply for the SATA-port.

In the normal bananian "script.bin/fex" this option is empty. The sunxi-wiki (see http://linux-sunxi.org/Fex_Guide#.5Bsata_para.5D [^]) sets this option to sata_power_en = port:PB08<1><default><default><0>, but this does not work on BPi-R1.

This problem might affect other distros too.

So two questions:
1) Do you (anybody) know to what value is options has to be set?
2) Can this be integrated into the default bananian image?
Steps To Reproduce* Connect HDD (not SSD) to the BPi-R1
* Turn on (and boot bananian)
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000102resolvedNico Enable SATA power on BPi-R1 

-  Notes
(0000152)
Nico (manager)
2015-01-17 22:27

Very interesting!

If course this will be integrated into Bananian if someone figures out what the correct settings are.
(0000153)
Geldaril (reporter)
2015-01-20 19:36

Thanks a lot to the guys in the bananapi.com-forum! They found the right solution.

In the script.fex-file just change
[sata_para]
sata_used = 1
sata_power_en =

to
[sata_para]
sata_used = 1
sata_power_en = port:PB03<1><default><default><0>

and SATA-power works as expected.

Little howto for those who want to try right now can be found in the forum:
http://bananapi.com/index.php/forum/general/391-why-the-sata-disk-doesnt-work-on-bpi-r1?start=12#1317 [^]

Please comment if anybody still has problems after this change.

I don't know if this is also important for other banana pi boards?
(0000166)
Nico (manager)
2015-03-05 14:02

https://github.com/Bananian/fex/commit/4f500abd617fb1ecb35e0ff92d9f45f09d289091 [^]

- Issue History
Date Modified Username Field Change
2015-01-17 22:21 Geldaril New Issue
2015-01-17 22:26 Nico Assigned To => Nico
2015-01-17 22:26 Nico Status new => assigned
2015-01-17 22:27 Nico Note Added: 0000152
2015-01-20 19:36 Geldaril Note Added: 0000153
2015-01-21 07:59 Nico Target Version => 15.04
2015-01-21 08:00 Nico Relationship added has duplicate 0000102
2015-03-05 14:02 Nico Note Added: 0000166
2015-03-05 14:02 Nico Status assigned => resolved
2015-03-05 14:02 Nico Resolution open => fixed
2015-03-07 07:45 Nico Fixed in Version => 15.04


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker